{namespace n=GeorgRinger\News\ViewHelpers}
{namespace v=FluidTYPO3\Vhs\ViewHelpers}
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:drk="Drk\Template\ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Pluswerk/PlusDrkBase/ViewHelpers"
      data-namespace-typo3-fluid="true">

<body>

<f:section name="item">
    <div class="c-teaser-list__item">
        <n:excludeDisplayedNews newsItem="{newsItem}"/>
        <div class="c-teaser   o-media">
            <f:if condition="{newsItem.falMedia}">
                <f:then>
                    <f:if condition="{newsItem.falMediaPreviews}">
                        <f:then>
                            <n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}"  class="c-teaser__img c-teaser__img--left">
                                <f:alias map="{mediaElement: newsItem.falMediaPreviews.0}">
                                    <f:if condition="{mediaElement.originalResource.type} == 2">
                                        <f:variable name="imageSize">{drk:imageData(imgPath: '{f:uri.image(src: mediaElement.uid, treatIdAsReference: 1, width: 660)}')}</f:variable>
                                        <f:variable name="imageAlt">{f:if(condition: mediaElement.originalResource.alternative, then: mediaElement.originalResource.alternative, else: newsItem.title)}</f:variable>
                                        <f:variable name="imageTitle">{f:if(condition: mediaElement.originalResource.title, then: mediaElement.originalResource.title, else: newsItem.title)}</f:variable>
                                        <img src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"
                                             data-src="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: '1', width: '290')}"
                                             data-srcset="{f:uri.image(src:'{mediaElement.uid}', treatIdAsReference: '1', width: '660')} 450w, {f:uri.image(src:'{mediaElement.uid}', treatIdAsReference: '1', width: '320')} 390w"
                                             alt="{imageAlt}"
                                             title="{imageTitle}"
                                             {imageSize -> f:format.raw()}
                                             class="o-media__img lazyload"
                                        />
                                        <noscript>
                                            <f:media file="{mediaElement}"
                                                     alt="{imageAlt}"
                                                     title="{imageTitle}"
                                                     class="o-media__img"
                                            />
                                        </noscript>
                                    </f:if>
                                    <f:if condition="{mediaElement.originalResource.type} == 4">
                                        <f:media file="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                                                 title="{mediaElement.originalResource.title}"
                                                 class="o-media__img"
                                                 width="290"
                                                 />
                                    </f:if>
                                    <f:if condition="{mediaElement.originalResource.type} == 5">
                                        <f:media file="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                                                 title="{mediaElement.originalResource.title}"
                                                 class="o-media__img"
                                                  width="290"
                                                 />
                                    </f:if>
                                </f:alias>
                            </n:link>
                        </f:then>
                        <f:else>
                            <f:if condition="{settings.displayDummyIfNoMedia}">
                                <figure class="c-teaser__img c-teaser__img--left   o-media__img"></figure>
                            </f:if>
                        </f:else>
                    </f:if>
                </f:then>
                <f:else>
                    <f:if condition="{newsItem.media}">
                        <!-- media preview element -->
                        <f:then>
                            <f:if condition="{newsItem.mediaPreviews}">
                                <f:then>
                                    <f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
                                        <f:if condition="{mediaElement.type} == 0">
                                            <f:variable name="imageSize">{drk:imageData(imgPath: '{f:uri.image(src: mediaElement.uid, treatIdAsReference: 1, width: 660)}')}</f:variable>
                                            <f:variable name="imageAlt">{f:if(condition: mediaElement.originalResource.alternative, then: mediaElement.originalResource.alternative, else: newsItem.title)}</f:variable>
                                            <f:variable name="imageTitle">{f:if(condition: mediaElement.originalResource.title, then: mediaElement.originalResource.title, else: newsItem.title)}</f:variable>
                                            <img src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"
                                                 data-sizes="auto"
                                                 data-src="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: '1', width: '290')}"
                                                 data-srcset="{f:uri.image(src:'{mediaElement.uid}', treatIdAsReference: '1', width: '660')} 450w, {f:uri.image(src:'{mediaElement.uid}', treatIdAsReference: '1', width: '320')} 390w"
                                                 alt="{imageAlt}"
                                                 title="{imageTitle}"
                                                 {imageSize -> f:format.raw()}
                                                 class="o-media__img lazyload"
                                            />
                                            <noscript>
                                                <f:media file="{mediaElement}"
                                                         alt="{imageAlt}"
                                                         title="{imageTitle}"
                                                    class="o-media__img"
                                                    />
                                            </noscript>
                                        </f:if>
                                        <f:if condition="{mediaElement.type} == 1">
                                            <f:render partial="Detail/MediaVideo" arguments="{mediaElement: mediaElement}"/>
                                        </f:if>
                                        <f:if condition="{mediaElement.type} == 2">
                                            <f:render partial="Detail/MediaHtml" arguments="{mediaElement: mediaElement}"/>
                                        </f:if>
                                    </f:alias>
                                </f:then>
                                <f:else>
                                    <f:if condition="{settings.displayDummyIfNoMedia}">
                                        <figure class="c-teaser__img c-teaser__img--left   o-media__img"></figure>
                                    </f:if>
                                </f:else>
                            </f:if>
                        </f:then>
                        <f:else>
                            <f:if condition="{settings.displayDummyIfNoMedia}">
                                <f:then>
                                    <figure class="c-teaser__img c-teaser__img--left o-media__img"></figure>
                                </f:then>
                            </f:if>
                        </f:else>
                    </f:if>
                </f:else>
            </f:if>

            <div class="c-teaser__content o-media__body">
                <div class="c-teaser__meta   o-meta">
                    <!-- date -->
                        <span class="o-meta__date">
                            <time datetime="{f:format.date(date:newsItem.datetime, format:'Y-m-d')}">
                                <f:format.date format="{f:translate(key:'dateFormat')}">{newsItem.datetime}</f:format.date>
                            </time>
                        </span>
                </div>
                <!-- header -->
                <h3 class="c-teaser__title">
                    <n:link class="o-cms-content__header-link" newsItem="{newsItem}" settings="{settings}"
                            title="{newsItem.title}">
                        <span>{newsItem.title}</span>
                    </n:link>
                </h3>
                <!-- teaser -->
                <p>

                    <f:if condition="{newsItem.frsCountry}">
                        <span class="c-teaser__region">{newsItem.frsCountry}</span>
                    </f:if>

                    <f:if condition="{newsItem.teaser}">
                        <f:then>
                            {newsItem.teaser -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                            respectWordBoundaries:'1') -> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                        </f:then>
                        <f:else>
                            {newsItem.bodytext -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                            respectWordBoundaries:'1') -> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                        </f:else>
                    </f:if>
                    <n:link newsItem="{newsItem}" settings="{settings}" class="c-teaser__link" title="{newsItem.title}">
                        <f:translate extensionName="DrkTemplate" key="read_more"/>
                    </n:link>
                </p>

            </div>
        </div>
    </div>
</f:section>

</body>
</html>
